//////////////////////////////////////////
// TextToSpeech.cpp
//Copyright (c) 08/13/2022 by ECCSkelton
//////////////////////////////////////////
#include	"TextToSpeech.h"
#include	"User.h"
#include	"TextToSpeechProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//*.txtファイル付きで起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)
		g_ByFile = TRUE;

	//２重起動防止
	if(!TextToSpeech.IsOnlyOne()) {
		HWND hWnd = FindWindowW(L"MainWnd", L"TextToSpeech");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		SendMessage(hWnd, WM_COMMAND, IDM_OPEN, 0);
		return 0L;
	}
//-------- モードレスダイアログの場合 --------
	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!TextToSpeech.Create(NULL, hInstance, L"IDD_MAIN"))
		return 0L;

	//メッセージループに入る
	return TextToSpeech.Loop();
//-------- モーダルダイアログの場合 --------
	//唯のモーダルダイアログとして起動している
//	TextToSpeech.DoModal(NULL, L"IDD_MAIN", hInstance);

//	return 0;
}
